View Issue Details

IDProjectCategoryView StatusLast Update
0002240SOGoWeb Calendarpublic2013-09-25 14:45
ReporterMarten Gajda Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.4b 
Target Version2.1.0Fixed in Version2.1.0 
Summary0002240: Invalid format of COMPLETED date in VTODO
Description

When you complete a task in SOGo you can enter a date only. The resulting VTODO then contains a line like:

COMPLETED;VALUE=DATE:20130208

However, according to RFC 2445 (http://tools.ietf.org/html/rfc2445#section-4.8.2.1) and RFC 5545 (https://tools.ietf.org/html/rfc5545#section-3.8.2.1) COMPLETED has to be a date-time:

Value Type: DATE-TIME

The VALUE parameter is not specified for COMPLETED.

TagsNo tags attached.

Activities

ludovic

ludovic

2013-09-25 14:45

administrator   ~0006039

https://github.com/inverse-inc/sogo/commit/55052ea36f1573e60d0cad9266ded0b0733eaefa

http://sogo-demo.inverse.ca has also been updated. Please try our fix and reopen the ticket if necessary.

Issue History

Date Modified Username Field Change
2013-02-08 18:46 Marten Gajda New Issue
2013-08-09 16:36 ludovic Target Version => 2.1.0
2013-09-25 14:45 ludovic Note Added: 0006039
2013-09-25 14:45 ludovic Status new => closed
2013-09-25 14:45 ludovic Resolution open => fixed
2013-09-25 14:45 ludovic Fixed in Version => 2.1.0